org.ajax4jsf.component.behavior

## Class MethodExpressionAjaxBehaviorListener

- java.lang.Object
- - org.ajax4jsf.component.behavior.MethodExpressionAjaxBehaviorListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.AjaxBehaviorListener, javax.faces.event.BehaviorListener, javax.faces.event.FacesListener

      public class MethodExpressionAjaxBehaviorListener
      extends Object
      implements javax.faces.event.AjaxBehaviorListener, javax.faces.component.StateHolder

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionAjaxBehaviorListener()`
    `MethodExpressionAjaxBehaviorListener(javax.el.MethodExpression methodExpressionOneArg)`
    `MethodExpressionAjaxBehaviorListener(javax.el.MethodExpression methodExpressionOneArg, javax.el.MethodExpression methodExpressionZeroArg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTransient()`
    `void` | `processAjaxBehavior(javax.faces.event.AjaxBehaviorEvent event)`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setTransient(boolean newTransientValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionAjaxBehaviorListener

          public MethodExpressionAjaxBehaviorListener()

    - #### MethodExpressionAjaxBehaviorListener

          public MethodExpressionAjaxBehaviorListener(javax.el.MethodExpression methodExpressionOneArg)

    - #### MethodExpressionAjaxBehaviorListener

          public MethodExpressionAjaxBehaviorListener(javax.el.MethodExpression methodExpressionOneArg,
                                                      javax.el.MethodExpression methodExpressionZeroArg)

  - ### Method Detail

    - #### processAjaxBehavior

          public void processAjaxBehavior(javax.faces.event.AjaxBehaviorEvent event)
                                   throws javax.faces.event.AbortProcessingException

      Specified by:
        `processAjaxBehavior` in interface `javax.faces.event.AjaxBehaviorListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### setTransient

          public void setTransient(boolean newTransientValue)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.